Page MenuHomePhabricator

Add Card component to Codex
Closed, DuplicatePublic

Description

Background/Goal

We need to add the Card component to Codex.

User stories

As a designer, I need to be able to use the different card component variants.

Considerations

Acceptance criteria (or Done)

  • Component can wrap any slotted content.
  • All component acceptance criteria in T255902 are covered.

Requirements pending. This task will be an epic that holds related design and engineering tasks.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

@Volker_E, do you think this component still makes sense in the current implementation? Do we need this task?

Assigning Volker for now for analysis given Stephen's comment above. He can delegate if necessary. It sounds like we may even be able to close out.

Anribolon reassigned this task from nick_ras to Volker_E.
Anribolon added a subscriber: nick_ras.
Volker_E renamed this task from Build the wvui-card component for Vue.js search to Build the wvui-card component.Nov 20 2020, 7:06 PM
Volker_E lowered the priority of this task from High to Low.
Volker_E updated the task description. (Show Details)
Volker_E renamed this task from Build the wvui-card component to Codex: Build the Card component.Oct 11 2021, 5:00 PM
Volker_E edited projects, added Codex; removed WVUI.
Volker_E updated the task description. (Show Details)
AnneT renamed this task from Codex: Build the Card component to Design and build the Card component.Mar 9 2022, 10:21 PM
AnneT raised the priority of this task from Low to Needs Triage.
AnneT updated the task description. (Show Details)
AnneT added subscribers: Sarai-WMDE, bmartinezcalvo.

Hey @AnneT, @Jdlrobson and @STHart 👋🏻 For system designers to be able to prioritize the design of this component (not started yet), we need to understand where it would sit on the Codex backlog (in case that's our source of truth), and what's its priority in comparison to other components currently included in the "Needs Design" column in the DST Kanban board.

STH renamed this task from Design and build the Card component to Design the Card component.Mar 14 2022, 3:16 PM

For web team this component is pretty important along with the Dialog component (which is slightly less important). I believe these two components are the only missing building blocks for the web team to be able to port all of its codebases to Codex. Card is more important however as it blocks our deployment of NearbyPages (and specifically T300595)

Thanks all! Yes... our Phab boards need to be updated to reflect priority. This is on my immediate radar. @Sarai-WMDE I'm working in Google Sheets for components right now and then will move a prioritized list to the main Design Systems team board (not the Kanban board, which will hopefully go away eventually). The main board should have a list of prioritized components (also tagged with the Codex tag, so it shows up on that project board) and it should also have a list of roadmapped epics (which is what the Kanban board is attempting to do now, but priority is also unclear there). I'll review my thoughts on prioritization with you and design and we can send communications out on where to find stuff when this is finalized -- @ldelench_wmf, does this all sound okay?

Hey @STHart any ideas when work will begin on this task? I was looking at the current state of Codex today, and saw that with recent refactorings the new menu item is documented as not being a standalone component (https://doc.wikimedia.org/codex/main/components/menu-item.html#demos)

As far as I can see it blocks removing WVUI from the beta cluster (since https://en.wikipedia.beta.wmflabs.org/wiki/Special:Nearby uses)

Hey @Jdlrobson! To me, it makes sense to me to tackle the WVUI-related components around a similar time, so I would love to prioritize this. I flagged it for discussion with engineers in our next planning session and I'll sync back here, hopefully next week with more locked-in timing.

STH renamed this task from Design the Card component to Codex Component: Card.Apr 15 2022, 5:28 PM
STH renamed this task from Codex Component: Card to Add Card component to Codex.Apr 15 2022, 5:33 PM
STH updated the task description. (Show Details)
STH triaged this task as Medium priority.May 1 2022, 1:19 PM
In T256036#7857875, @STHart wrote:

Hey @Jdlrobson! To me, it makes sense to me to tackle the WVUI-related components around a similar time, so I would love to prioritize this. I flagged it for discussion with engineers in our next planning session and I'll sync back here, hopefully next week with more locked-in timing.

Checking in here - would appreciate a timeline as we have lots of initiatives blocked on this task.

Hi @Jdlrobson, we can start designing this component during our next sprint (mid May) however we'll need some more information before getting started. Is there a current Card component or specs you can share as well as examples of use-cases? Any background information you have would be appreciated. Thanks!

@STHart only the existing features we've shared previously in this thread (T153417, T153417). I would expect that the design specification would need updating based on a standardization of all those elements or by taking one of them as the basis for a first version.

STH raised the priority of this task from Medium to Needs Triage.May 17 2022, 9:22 PM
STH moved this task from Needs Refinement to Codex Component Backlog on the Design-Systems-Team board.

Exploration starting now, toward end of the current sprint. We will be discussing the Card component further this week with the Readers Web Team

STH changed the task status from Open to Stalled.May 26 2022, 12:28 AM
STH triaged this task as Medium priority.May 26 2022, 12:38 AM

Exploration starting now, toward end of the current sprint. We will be discussing the Card component further this week with the Readers Web Team

Hi @NHillard-WMF - just wanted to note that Growth actually has a separate request/ticket to add the Card component and would like to be involved in the development of this component moving forward - task is here:
https://phabricator.wikimedia.org/T278311

[edit] I wonder if T278311 is in fact the correct task this should have been merged as duplicate of?

@RHo Agreed, thanks for pointing this out!